com.rscja.deviceapi.interfaces

## Interface IUHFOfAndroidUart

- All Superinterfaces:
    IUHF
  All Known Subinterfaces:
    IRFIDWithUHFA4Uart, IRFIDWithUHFA8Uart, IRFIDWithUHFRLM
  All Known Implementing Classes:
    RFIDWithUHFA4, RFIDWithUHFA8, RFIDWithUHFAxBase, RFIDWithUHFRLM, RFIDWithUHFUART

      public interface IUHFOfAndroidUart
      extends IUHF

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrCode()`
    `java.lang.String` | `getHardwareVersion()`
    `boolean` | `init_R2000()`
    `boolean` | `isPowerOn()`
    `boolean` | `setEPCAndUserReservedModeEx(int mode, int reserved_ptr, int reserved_len, int user_prt, int user_len)`
    `void` | `setPowerOnBySystem(Context context)` 设置uhf由系统内部上电,不使用DeviceAPI的代码上电!
    `void` | `setUart(java.lang.String uart)` 设置uhf串口，使用此函数需要谨慎，否则uhf会无法工作。
    `boolean` | `startInventoryTag(int flagAnti, int initQ, int tidLen)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setPwm, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getHardwareVersion

          java.lang.String getHardwareVersion()

    - #### setUart

          void setUart(java.lang.String uart)

      设置uhf串口，使用此函数需要谨慎，否则uhf会无法工作。
      Parameters:
        `uart` - uart path

    - #### setPowerOnBySystem

          void setPowerOnBySystem(Context context)

      设置uhf由系统内部上电,不使用DeviceAPI的代码上电!
      Parameters:
        `context` -

    - #### init_R2000

          boolean init_R2000()

    - #### startInventoryTag

          boolean startInventoryTag(int flagAnti,
                                    int initQ,
                                    int tidLen)

    - #### setEPCAndUserReservedModeEx

          boolean setEPCAndUserReservedModeEx(int mode,
                                              int reserved_ptr,
                                              int reserved_len,
                                              int user_prt,
                                              int user_len)

    - #### getErrCode

          int getErrCode()

    - #### isPowerOn

          boolean isPowerOn()